package com.ycwl.basic.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wenshijia
 * @date 2021年05月25日 22:29
 * 状态码定义约束，共6位数，前三位代表服务，后4位代表接口
 * 比如 商品服务210,购物车是220、用户服务230，403代表权限
 */
public enum BizCodeEnum {

    /**
     * 通用操作码
     */
    UNKNOWN_MISTAKE(500, "未知错误"),

    VERIFY_CODE_ERROR(600, "验证码错误"),

    NO_VERIFY_CODE_AUTH(700, "未进行授权"),

    TOLL_MACHINE_BIND_APPLICATION_SITE(1000, "当前收费机已经绑定了应用场所"),
    TOLL_MACHINE_EXIST(1001, "当前收费机编号已经存在"),
    APPLICATION_SITE_EXIST(1002, "当前应用场所已经存在"),

    CONFERENCE_DEVICE_EXIST(2001, "当前会议设设备已经存在"),
    ;

    @Getter
    public int code;

    @Getter
    @Setter
    public String message;

    BizCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
